%global gitabbrev 4e605fb
%global gitdate 20230612
%global rel %{gitdate}git%{gitabbrev}

Name:           acer-wmi-battery
Summary:        Kernel module (kmod) for %{name}
Version:        0.1.0
Release:        3%{?rel:.%{rel}}%{?dist}
License:        GPLv2
URL:            https://github.com/frederik-h/acer-wmi-battery

ExclusiveArch:  i686 x86_64
Provides:       %{name}-kmod-common = %{version}
Requires:       %{name}-kmod >= %{version}


%description
%{name} common files.

%prep
#setup -q -c


%build
#Nothing to build


%install
install -m755 -d $RPM_BUILD_ROOT%{_sysconfdir}/modules-load.d/
echo "%{name}" > $RPM_BUILD_ROOT%{_sysconfdir}/modules-load.d/%{name}.conf


%files
%{_sysconfdir}/modules-load.d/%{name}.conf

%changelog
* Tue Oct 15 2024 Andrea Santilli <andreasantilli gmx com> - 0.1.0-3.20230612git4e605fb
- Update version and release to match kmod package's ones.

* Mon Mar 13 2023 Andrea Santilli <andreasantilli gmx com> - 0-2.20220818git176af5f
- Update to match the kmod module

* Thu Jan 05 2023 Andrea Santilli <andreasantilli gmx com> - 0-1.20220818git176af5f
- Initial akmod RPM release.

